DefaultGriffonModelClass (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class DefaultGriffonModelClass

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractGriffonClass
          org.codehaus.griffon.runtime.core.DefaultGriffonClass
              org.codehaus.griffon.runtime.core.DefaultGriffonModelClass

All Implemented Interfaces:
  GriffonModelClass

    public class DefaultGriffonModelClass
    extends DefaultGriffonClass

Authors:
  Andres Almiray

Since:
  0.9.1

Field Summary
`private static Set` | `BINDABLE_PROPERTIES`
`protected Set` | `propertiesCache`

Fields inherited from class AbstractGriffonClass
app, classPropertyFetcher, clazz, eventsCache, fullName, log, logicalPropertyName, name, naturalName, packageName, propertyName, shortName, type

Constructor Summary
`DefaultGriffonModelClass(GriffonApplication app, Class clazz)`

Method Summary
`Object` | `getModelPropertyValue(GriffonModel model, String propertyName)`
`String[]` | `getPropertyNames()`
`void` | `resetCaches()`
`void` | `setModelPropertyValue(GriffonModel model, String propertyName, Object value)`

Methods inherited from class AbstractGriffonClass
equals, getApp, getArtifactType, getClazz, getEventNames, getFullName, getGroovyProperty, getLogicalPropertyName, getMetaClass, getMetaProperties, getName, getNaturalName, getPackageName, getPropertiesWithFields, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, hashCode, isClosureMetaProperty, isReadableProperty, newInstance, resetCaches, returnOnlyIfInstanceOf, setMetaClass, toString, updateMetaClass

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### BINDABLE_PROPERTIES

    private static final Set BINDABLE_PROPERTIES

### propertiesCache

    protected final Set propertiesCache

Constructor Detail

### DefaultGriffonModelClass

    public DefaultGriffonModelClass(GriffonApplication app, Class clazz)

Method Detail

### getModelPropertyValue

    public Object getModelPropertyValue(GriffonModel model, String propertyName)

### getPropertyNames

    public String[] getPropertyNames()

### resetCaches

    public void resetCaches()

### setModelPropertyValue

    public void setModelPropertyValue(GriffonModel model, String propertyName, Object value)

Groovy Documentation